// Sample scene file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

#version 3.8;

global_settings {
	assumed_gamma 1.6
	ambient_light 0.2 //0.2 maybe a bit too dark
	max_trace_level 20
}

#declare FLAREOUT = 1; // 0=no rocket flare, 1=rubbish looking rocket flare
#declare CARGOBAY = 1; // 0=no cargo bay, 1=cargo bay
#declare CAMERASHOT = 0; // 0=original camera position, 1=head-on shot, 2=A.N. Other

#include "colors.inc"
#include "textures.inc"
#include "functions.inc"
#include "transforms.inc"
#include "eagle.inc"
//#include "world.inc"

#declare CAM00 =
//original camera position
camera {
	location <100, 80, 30>
	look_at x*25
	up z
	sky z
	angle 60
	right x*4/3
}

#declare CAM01 =
//show Eagle full head-on
camera {
	location <20, 140, 30>
	look_at z*-2.5
	up z
	sky z
	right x*4/3
	angle 60
}

#declare CAM02 =
camera {
	location <100, 800, 30>
	direction y*10
	look_at z*-1.5
	up z
	sky z
	right x*4/3
}

light_source { <-100, 100, 30> color White * 1.2 }
light_source { <-100, 100, -30> color White * 1.1 }
light_source { < 100, 30, 80> color White * 1.1 }
light_source { < 100, 30, -80> color White }

#switch (CAMERASHOT)

 #case (0) //0 - original
 camera { CAM00 }
 object {
	 EAGLE1
	 //no_shadow
	 rotate 0
 }
 #break

 #case (1) //1 - head-on
 camera { CAM01 }
 object {
	 EAGLE1
	 //no_shadow
	 rotate <-25, 0, 75>
 } 
 #break

 #case (2) //2 - A.N. Other
 camera { CAM02 }
 object {
	 EAGLE1
	 //no_shadow
	 rotate <-15, 0, 35>
 } 
 #break

#end
/*
sphere { <-300, -2000, -800>, 1600
    texture {
	    pigment { color NeonPink * 1.5 }
	    finish {
		    diffuse 0.2
		    irid { 0.25 thickness 4/4 turbulence 0.1 }
	    }
	    scale 200
	    //rotate <145, 245, 5>
    	translate <10, 25, 0>

	}
}
*/
//------1---------2---------3---------4---------5---------6---------7---------8
