//
// Main include file "eagle" 1 model 
// by Heinz Schuller, created April 1993
// Freely Distributable - Use it - abuse it - lose it - whatever.

// There should be 33 .VO files including this one for the complete model

// top level file, #include this file from your scene file, 
// object is centered at 0 0 0.

//#include hscolor.vc  // some colors used here
//#include hstextur.vs // textures for various stuff

// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

#include "frame.inc"
#include "cargo.inc"
#include "cockpit3.inc"
#include "mainpod.inc"
#include "podetrt.inc"
#include "mpodet.inc"
#include "podetlf.inc"
#include "podetrt.inc"
#include "mpodet.inc"
#include "engine.inc"
#include "interior.inc"

#declare EAGLE1 =
union {

	//---- bar frame
	object { FRAME }
	object { FRAME rotate z*180 }

	#if (CARGOBAY)
		//---- cargo section
		object { CARGO translate -z }
		object { CARGO rotate z*180 translate -z }
	#end // cargobay

	//---- cockpit (triangle model)
	object { COCKPIT3 scale 0.5 rotate z*90 translate x*70.7397 }

	//---- landing pods (boxey pods, 2 on each side)
	// FRONT RIGHT
	union {
		object { MAINPOD }
		object { PODETRT }
		translate <36, -19, -3.5>
	}
	object { MPODET rotate z*180 translate <36, -19, -3.5> }
	// FRONT LEFT
	union {
		object { MAINPOD }
		object { PODETLF }
		translate <36, 19, -3.5>
	}
	object { MPODET rotate z*180 translate <36, 19, -3.5> }
	// BACK RIGHT
	union {
		object { MAINPOD }
		object { PODETRT }
		translate <-36, -19, -3.5>
	}
	object { MPODET translate <-36, -19, -3.5> }
	// BACK LEFT
	union {
		object { MAINPOD }
		object { PODETLF }
		translate <-36, 19, -3.5>
	}
	object { MPODET translate <-36, 19, -3.5> }

	//---- interior stuff
	object { DINTERIOR translate x*36 }
	object { DINTERIOR translate x*-36 }

	//---- engine assembly
	object { ENGINE translate x*-47 }

	//pigment { color Gray45 } // default gray color
	//finish { Shiny }
}

//------1---------2---------3---------4---------5---------6---------7---------8

