// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// landing pod half
// polygon city

#include "triangle.inc"
#include "circle.inc"

#declare LPOD =
union {

	union {
		// top
		triangle { <-9, 0, 2.5>, <-5.75, 0, 6>, <-5.75, -4.6, 6> }
		triangle { <-5.75, -4.6, 6>, <-9, -4.6, 2.5>, <-9, 0, 2.5> }
		triangle { <-5.75, 0, 6>, <5.75, 0, 6>, <5.75, -4.6, 6> }
		triangle { <5.75, -4.6, 6>, <-5.75, -4.6, 6>, <-5.75, 0, 6> }
		triangle { <5.75, 0, 6>, <9, 0, 2.5>, <9, -4.6, 2.5> }
		triangle { <9, -4.6, 2.5>, <5.75, -4.6, 6>, <5.75, 0, 6> }
		triangle {<-9, -4.6, 2.5>, <-5.75, -4.6, 6>, <-5.75, -8, 2.5> }
		triangle { <-5.75, -4.6, 6>, <5.75, -4.6, 6>, <5.75, -8, 2.5> }
		triangle { <5.75, -8, 2.5>, <-5.75, -8, 2.5>, <-5.75, -4.6, 6> }
		triangle {<5.75, -4.6, 6>, <9, -4.6, 2.5>, <5.75, -8, 2.5> }
		// middle
		triangle { <-9, 0, 2.5>, <-9, -4.6, 2.5>, <-9, -4.6, -2.5> }
		triangle { <-9, -4.6, -2.5>, <-9, 0, -2.5>, <-9, 0, 2.5> }
		triangle { <-9, -4.6, 2.5>, <-5.75, -8, 2.5>, <-5.75, -8, -2.5> }
		triangle { <-5.75, -8, -2.5>, <-9, -4.6, -2.5>, <-9, -4.6, 2.5> }
		triangle { <-5.75, -8, 2.5>, <5.75, -8, 2.5>, <5.75, -8, -2.5> }
		triangle { <5.75, -8, -2.5>, <-5.75, -8, -2.5>, <-5.75, -8, 2.5> }
		triangle { <5.75, -8, 2.5>, <9, -4.6, 2.5>, <9, -4.6, -2.5> }
		triangle { <9, -4.6, -2.5>, <5.75, -8, -2.5>, <5.75, -8, 2.5> }
		triangle { <9, -4.6, 2.5>, <9, 0, 2.5>, <9, 0, -2.5> }
		triangle { <9, 0, -2.5>, <9, -4.6, -2.5>, <9, -4.6, 2.5> }
		// bottom
		triangle { <-9, 0, -2.5>, <-9, -2.6, -2.5>, <-6.66, -2.6, -5> }
		triangle { <-6.66, -2.6, -5>, <-6.66, 0, -5>, <-9, 0, -2.5> }
		triangle { <-9, -2.6, -2.5>, <-9, -4.6, -2.5>, <-5.75, -4.6, -6> }
		triangle { <-5.75, -4.6, -6>, <-5.75, -2.6, -6>, <-9, -2.6, -2.5> }
		triangle {<-9, -4.6, -2.5>, <-5.75, -8, -2.5>, <-5.75, -4.6, -6> }
		triangle { <-5.75, -8, -2.5>, <-3.75, -8, -2.5>, <-3.75, -4.6, -6> }
		triangle { <-3.75, -4.6, -6>, <-5.75, -4.6, -6>, <-5.75, -8, -2.5> }
		triangle { <-3.75, -8, -2.5>, <3.75, -8, -2.5>, <3.75, -5.575, -5> }
		triangle { <3.75, -5.575, -5>, <-3.75, -5.575, -5>, <-3.75, -8, -2.5> }
		triangle { <3.75, -8, -2.5>, <5.75, -8, -2.5>, <5.75, -4.6, -6> }
		triangle { <5.75, -4.6, -6>, <3.75, -4.6, -6>, <3.75, -8, -2.5> }
		triangle {<5.75, -8, -2.5>, <9, -4.6, -2.5>, <5.75, -4.6, -6> }
		triangle { <9, -4.6, -2.5>, <9, -2.6, -2.5>, <5.75, -2.6, -6> }
		triangle { <5.75, -2.6, -6>, <5.75, -4.6, -6>, <9, -4.6, -2.5> }
		triangle { <9, -2.6, -2.5>, <9, 0, -2.5>, <6.66, 0, -5> }
		triangle { <6.66, 0, -5>, <6.66, -2.6, -5>, <9, -2.6, -2.5> }
		// texture space_gray2
		pigment { color Gray50}
		finish { Shiny }
	}

	union {
		// triangles scaled 87%
		object { DTRIANGLE rotate <-35, 0, -45> translate <-6.416, -5.481, 4.2> }
		object { DTRIANGLE rotate <-35, 0, 45> translate <6.416, -5.481, 4.2> }
		object { DTRIANGLE rotate <-35, 0, 45> rotate y*180 translate <-6.416, -5.481, -4.2> }
		object { DTRIANGLE rotate <-35, 0, -45> rotate y*180 translate <6.416, -5.481, -4.2> }
		// circles
		object { CIRCLE rotate z*-45 translate <-7.375, -6.3, 0> }
		object { CIRCLE rotate z*45 translate <7.375, -6.3, 0> }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }
	}

}

//------1---------2---------3---------4---------5---------6---------7---------8
