// Sample include file
// Eagle Transporter Model
// by Heinz Schuller
//
// Modified to POV format by colin Fleming, cj_fleming@btinternet.com
//
//------1---------2---------3---------4---------5---------6---------7---------8

// rocket
// we're goin' to the moon

#include "ring1.inc"

#declare ROCKET1 =
union {

	union {
		// support
		cylinder { x*0.3, -x, 0.3 }
		// tank ring
		cylinder { x*-4, x*-8.5, 3.5 }
		disc { x*-4, x, 3.5 }
		disc { x*-8.5, -x, 3.5 }
		// nozzle feed
		cylinder { x*-11, x*-15, 1.75 }
		disc { x*-14.5, x, 2.5 }
		object { RING1 rotate 0 translate x*-12.3 }
		// tanks
		sphere { x*-4, 3 }
		sphere { x*-8.5, 3 }
		// texture space_gray
		pigment { color Gray60 }
		finish { Shiny }

	} // union support

	// nozzle
	union {

		merge {
			sphere { x*-18, 3.5 clipped_by { disc { x*-18, x, 1 inverse } } }
			cone { x*-18, 3.5, x*-24, 4 }
			// texture Fuzz_Lum
			texture { pigment { color Gray05 } finish { Shiny } }
		}

		#if (FLAREOUT)
		//#define FLARE_OUT \
		//surface { \
		//	diffuse sky_blue \
		//	transparent 1 1 1 \
		//}
		merge {
			sphere { x*-28, 5 } //5.5
			cone { x*-28, 5, x*-300, 0.01 }
			texture {
				pigment { color SkyBlue *1.5 filter 0.9 }
			}
		}
		
		//#define FLARE_IN \
		//surface { \
		//	diffuse sky_blue * 1.5 \
		//	ambient sky_blue * 0.6 \
		//	transparent 0.3 0.3 0.3 \
		//}
		cone { x*-24, 3.5, x*-250, 0.01
			texture {
				pigment { color SkyBlue *1.5 filter 0.7 }
			}
		}
		#end //if flareout

	} // union nozzle

}

//------1---------2---------3---------4---------5---------6---------7---------8
